﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<CodeGimmick>


@(
         Html.Grid(Model).Named("AllCode").Columns(columns =>
         {

             columns.Add(x => x.Name)
                 .Titled("Name")
                 .Encoded(false)
                 .Sanitized(false)
                 .Sortable(true)
                 .RenderValueAs(x => x.Name).Filterable(true);

             columns.Add(x => x.CreatedDate)
                 .Titled("Created Date")
                 .Encoded(false)
                 .Sanitized(false)
                 .Sortable(true)
                 .RenderValueAs(x => x.CreatedDate.Value.ToString("dd-MM-yyyy HH:mm"));

             columns.Add(x => x.CreatedBy)
                 .Titled("Created By")
                 .Encoded(false)
                 .Sanitized(false)
                 .Sortable(true)
                 .RenderValueAs(x => x.CreatedBy);

             columns.Add()
                 .Encoded(false)
                 .Sanitized(false)
                 .SetWidth(50)
                 .Css("cell-center")
             .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Codegimmick.Index(null, Convert.ToInt32(x.ID)))));

             columns.Add()
                 .Encoded(false)
                 .Sanitized(false)
                 .SetWidth(50)
                 .Css("cell-center")
            .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.Codegimmick.Delete(Convert.ToInt32(x.ID))), x.Name));

         }).Filterable()
        .Sortable()
        .WithPaging(5)
)
